package com.ruoyi.ems.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 电力负荷设施指标对象 adm_ems_elec_load_index
 *
 * @author ruoyi
 * @date 2024-08-09
 */
public class ElecLoadIndex extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 园区代码
     */
    @Excel(name = "园区代码")
    private String areaCode;

    /**
     * 设施代码
     */
    @Excel(name = "设施代码")
    private String facsCode;

    @Excel(name = "园区名称")
    private String areaName;

    @Excel(name = "设施名称")
    private String facsName;

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /**
     * 时间
     */
    private Date time;

    /**
     * 电压 （千伏）
     */
    @Excel(name = "电压 ")
    private Double voltage;

    /**
     * 电流 （安培）
     */
    @Excel(name = "电流 ")
    private Double amperage;

    /**
     * 功率 （千瓦）
     */
    @Excel(name = "功率 ")
    private Double power;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setFacsCode(String facsCode) {
        this.facsCode = facsCode;
    }

    public String getFacsCode() {
        return facsCode;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Date getDate() {
        return date;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Date getTime() {
        return time;
    }

    public void setVoltage(Double voltage) {
        this.voltage = voltage;
    }

    public Double getVoltage() {
        return voltage;
    }

    public void setAmperage(Double amperage) {
        this.amperage = amperage;
    }

    public Double getAmperage() {
        return amperage;
    }

    public void setPower(Double power) {
        this.power = power;
    }

    public Double getPower() {
        return power;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getFacsName() {
        return facsName;
    }

    public void setFacsName(String facsName) {
        this.facsName = facsName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("areaCode", getAreaCode()).append("facsCode", getFacsCode()).append("date", getDate()).append("time", getTime()).append("voltage", getVoltage()).append("amperage", getAmperage()).append("power", getPower()).toString();
    }
}
